/* Backend item
*/

#include <QGraphicsItem>
#include <QRectF>
#include <QPainter>
#include <QStyleOptionGraphicsItem>
#include <QWidget>

#ifndef BACKENDITEM_H
#define BACKENDITEM_H

class BackendItem : public QGraphicsItem
{
    public:
        BackendItem(const QString &xmlStructure);
        QRectF boundingRect() const;
        void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
        void updateStructure(const QString &xmlStructure);
        QString name() const;

    private:
        QString m_xmlStructure;
//        QPixmap cached(const QString &img);
//        QString m_pipelineName;
};

#endif
